PaymentTransfer

Query cross-border remittance result

GET
/openapi/v1/payments/transfer/swift/{referenceNo}

Query the result status of a cross-border remittance.

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Path Parameters

referenceNo*string

Request reference number, that is, the referenceNo passed when the transfer was initiated

Query Parameters

accountNumber?string

Payer account number. For POBO payout orders, we recommend passing the poboAccountNo from the transfer response to explicitly specify the POBO payout account and certificate used for this query. If accountNumber is not passed, the system automatically matches the corresponding POBO payout account based on referenceNo. Optional for regular orders. Length 32

Header Parameters

X-Channel-Provider*string

Provider identifier, such as GLDB

Response Body

Returns the remittance result.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

data?

Base fields of business data. The data object of every business response contains these fields (except fee estimation).

Example Request
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payments/transfer/swift/STABO20231121001' \  -H 'X-Channel-Provider: GLDB'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "0861d563-26f6-47f6-8a34-8b1e00ff1eb9",  "data": {    "providerStatusCode": "000000",    "providerMessage": "ok",    "providerRequestSerialNo": "39158120641024781",    "providerResponseSerialNo": "1142949240058810368",    "providerTimestamp": "2025-12-30 14:20:20",    "channelSerialNo": "12512300000109360",    "paymentReference": "SGL25364MGLG0GHB",    "status": "SENT_TO_BANK",    "coreSerialNo": "PI253640MHJJ26T2",    "errorCode": null,    "errorMessage": null,    "estimatedFee": "40.00",    "estimatedFeeCurrency": "USD"  }}